C     CODE TO PULL OUT VARIOUS COMPONENTS OF THE LEAST-SQUARES
C     SOLUTION TO THE PROBLEM NORM2(Y-XB) = MIN.  THESE ARE
C     JUST WRAPPERS AROUND THE LINPACK ROUTINE DQRSL.
C
      SUBROUTINE DQRQTY(X,N,K,QRAUX,Y,NY,QTY)
      INTEGER N,K,NY
      DOUBLE PRECISION X(N,K),QRAUX(1),Y(N,NY),QTY(N,NY)
      INTEGER J
      DOUBLE PRECISION DUM
      DO 100 J=1,NY
        CALL DQRSL(X,N,N,K,QRAUX,Y(1,J),DUM,QTY(1,J),DUM,
     *               DUM,DUM,1000,INFO)
  100 CONTINUE
      END
C
      SUBROUTINE DQRQY(X,N,K,QRAUX,Y,NY,QY)
      INTEGER N,K,NY
      DOUBLE PRECISION X(N,K),QRAUX(1),Y(N,NY),QY(N,NY)
      INTEGER J
      DOUBLE PRECISION DUM
      DO 100 J=1,NY
        CALL DQRSL(X,N,N,K,QRAUX,Y(1,J),QY(1,J),DUM,DUM,
     *               DUM,DUM,10000,INFO)
  100 CONTINUE
      END
C
      SUBROUTINE DQRCF(X,N,K,QRAUX,Y,NY,B,INFO)
      INTEGER N,K,NY
      DOUBLE PRECISION X(N,K),QRAUX(1),Y(N,NY),B(K,NY)
      INTEGER J
      DOUBLE PRECISION DUM
      DO 100 J=1,NY
        CALL DQRSL(X,N,N,K,QRAUX,Y(1,J),DUM,Y(1,J),B(1,J),
     *               DUM,DUM,100,INFO)
  100 CONTINUE
      END
C
      SUBROUTINE DQRRSD(X,N,K,QRAUX,Y,NY,RSD)
      INTEGER N,K,NY
      DOUBLE PRECISION X(N,K),QRAUX(1),Y(N,NY),RSD(N,NY)
      INTEGER J
      DOUBLE PRECISION DUM
      DO 100 J=1,NY
        CALL DQRSL(X,N,N,K,QRAUX,Y(1,J),DUM,Y(1,J),DUM,
     *               RSD(1,J),DUM,10,INFO)
  100 CONTINUE
      END
C
      SUBROUTINE DQRXB(X,N,K,QRAUX,Y,NY,XB)
      INTEGER N,K,NY
      DOUBLE PRECISION X(N,K),QRAUX(1),Y(N,NY),XB(N,NY)
      INTEGER J
      DOUBLE PRECISION DUM
      DO 100 J=1,NY
        CALL DQRSL(X,N,N,K,QRAUX,Y(1,J),DUM,Y(1,J),DUM,
     *               DUM,XB(1,J),1,INFO)
  100 CONTINUE
      END
